Intermittent dom/media/tests/mochitest/test_peerConnection_constructedStream.html | application crashed [@ je_free]

RESOLVED INCOMPLETE

Status

()

P2
critical
Rank:
17
RESOLVED INCOMPLETE
a year ago
a year ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({crash, intermittent-failure, stale-bug})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

Shutdown crash in rtc::VideoSourceBase::AddOrUpdateSink?

[task 2017-07-18T07:57:35.971811Z] 07:57:35     INFO - Thread 0 (crashed)
[task 2017-07-18T07:57:35.972619Z] 07:57:35     INFO -  0  firefox!je_free [mozjemalloc.cpp:48a51e20addd : 3648 + 0x0]
[task 2017-07-18T07:57:35.973242Z] 07:57:35     INFO -     rax = 0x000000000041fcf0   rdx = 0x00007fa35d17f9c0
[task 2017-07-18T07:57:35.973953Z] 07:57:35     INFO -     rcx = 0x0000000000000003   rbx = 0x0000000000000020
[task 2017-07-18T07:57:35.974664Z] 07:57:35     INFO -     rsi = 0x00007fff8826ccd0   rdi = 0xe5e5e5e5e5e5e5e5
[task 2017-07-18T07:57:35.975246Z] 07:57:35     INFO -     rbp = 0x00007fff8826cc80   rsp = 0x00007fff8826cc40
[task 2017-07-18T07:57:35.975917Z] 07:57:35     INFO -      r8 = 0x0000000000000000    r9 = 0xe5e5e5e5e5e5e5e5
[task 2017-07-18T07:57:35.976553Z] 07:57:35     INFO -     r10 = 0x000000007fffffff   r11 = 0x0000000000000000
[task 2017-07-18T07:57:35.977265Z] 07:57:35     INFO -     r12 = 0x000000000005e5e5   r13 = 0x00007fa35d17f9c0
[task 2017-07-18T07:57:35.978007Z] 07:57:35     INFO -     r14 = 0x00007fa35d17f9e0   r15 = 0xe5e5e5e5e5e00000
[task 2017-07-18T07:57:35.978612Z] 07:57:35     INFO -     rip = 0x000000000041fd46
[task 2017-07-18T07:57:35.979299Z] 07:57:35     INFO -     Found by: given as instruction pointer in context
[task 2017-07-18T07:57:35.980235Z] 07:57:35     INFO -  1  libxul.so!std::vector<rtc::VideoSourceBase::SinkPair, std::allocator<rtc::VideoSourceBase::SinkPair> >::_M_emplace_back_aux<rtc::VideoSourceBase::SinkPair> [new_allocator.h:48a51e20addd : 110 + 0x5]
[task 2017-07-18T07:57:35.980878Z] 07:57:35     INFO -     rbx = 0x0000000000000020   rbp = 0x00007fff8826ccc0
[task 2017-07-18T07:57:35.981464Z] 07:57:35     INFO -     rsp = 0x00007fff8826cc90   r12 = 0x00007fa36b2340f0
[task 2017-07-18T07:57:35.982175Z] 07:57:35     INFO -     r13 = 0x00007fa35d17f9c0   r14 = 0x00007fa35d17f9e0
[task 2017-07-18T07:57:35.982794Z] 07:57:35     INFO -     r15 = 0x00007fff8826cf0f   rip = 0x00007fa38b2cfc16
[task 2017-07-18T07:57:35.983382Z] 07:57:35     INFO -     Found by: call frame info
[task 2017-07-18T07:57:35.984138Z] 07:57:35     INFO -  2  libxul.so!rtc::VideoSourceBase::AddOrUpdateSink [vector.tcc:48a51e20addd : 101 + 0x5]
[task 2017-07-18T07:57:35.984813Z] 07:57:35     INFO -     rbx = 0x00007fa35d1107c0   rbp = 0x00007fff8826cd10
[task 2017-07-18T07:57:35.985542Z] 07:57:35     INFO -     rsp = 0x00007fff8826ccd0   r12 = 0x00007fa36b2340e0
[task 2017-07-18T07:57:35.986145Z] 07:57:35     INFO -     r13 = 0x00007fa36943a000   r14 = 0x00007fa35d1107c0
[task 2017-07-18T07:57:35.986727Z] 07:57:35     INFO -     r15 = 0x00007fff8826cf0f   rip = 0x00007fa38b2cfe2e
[task 2017-07-18T07:57:35.987485Z] 07:57:35     INFO -     Found by: call frame info
[task 2017-07-18T07:57:35.988118Z] 07:57:35     INFO -  3  libxul.so!rtc::VideoBroadcaster::AddOrUpdateSink [videobroadcaster.cc:48a51e20addd : 31 + 0xe]
[task 2017-07-18T07:57:35.988845Z] 07:57:35     INFO -     rbx = 0x00007fa36b2340e0   rbp = 0x00007fff8826cd50
[task 2017-07-18T07:57:35.989517Z] 07:57:35     INFO -     rsp = 0x00007fff8826cd20   r12 = 0x00007fff8826cd20
[task 2017-07-18T07:57:35.990264Z] 07:57:35     INFO -     r13 = 0x00007fa36943a000   r14 = 0x00007fa35d1107c0
[task 2017-07-18T07:57:35.990948Z] 07:57:35     INFO -     r15 = 0x00007fff8826cf0f   rip = 0x00007fa38b2cfe76
[task 2017-07-18T07:57:35.991720Z] 07:57:35     INFO -     Found by: call frame info
[task 2017-07-18T07:57:35.992386Z] 07:57:35     INFO -  4  libxul.so!mozilla::media::LambdaRunnable<mozilla::WebrtcVideoConduit::AddOrUpdateSink(rtc::VideoSinkInterface<webrtc::VideoFrame>*, const rtc::VideoSinkWants&)::<lambda()> >::Run [VideoConduit.cpp:48a51e20addd : 1900 + 0x14]
[task 2017-07-18T07:57:35.992909Z] 07:57:35     INFO -     rbx = 0x00007fa35d110790   rbp = 0x00007fff8826cd90
[task 2017-07-18T07:57:35.993521Z] 07:57:35     INFO -     rsp = 0x00007fff8826cd60   r12 = 0x00007fff8826cd60
[task 2017-07-18T07:57:35.994136Z] 07:57:35     INFO -     r13 = 0x00007fa37f1b8b68   r14 = 0x00007fa38c4d6440
[task 2017-07-18T07:57:35.994872Z] 07:57:35     INFO -     r15 = 0x00007fff8826cf0f   rip = 0x00007fa38b7d12da
[task 2017-07-18T07:57:35.995654Z] 07:57:35     INFO -     Found by: call frame info
[task 2017-07-18T07:57:35.996281Z] 07:57:35     INFO -  5  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:48a51e20addd : 1437 + 0x6]
[task 2017-07-18T07:57:35.996935Z] 07:57:35     INFO -     rbx = 0x00007fa39835dd20   rbp = 0x00007fff8826cef0
[task 2017-07-18T07:57:35.997579Z] 07:57:35     INFO -     rsp = 0x00007fff8826cda0   r12 = 0x00007fff8826d090
[task 2017-07-18T07:57:35.998218Z] 07:57:35     INFO -     r13 = 0x00007fa37f1b8b68   r14 = 0x00007fa38c4d6440
[task 2017-07-18T07:57:35.998996Z] 07:57:35     INFO -     r15 = 0x00007fff8826cf0f   rip = 0x00007fa3884d7d98
[task 2017-07-18T07:57:35.999785Z] 07:57:35     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.000446Z] 07:57:36     INFO -  6  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:48a51e20addd : 489 + 0xd]
[task 2017-07-18T07:57:36.001219Z] 07:57:36     INFO -     rbx = 0x0000000000000001   rbp = 0x00007fff8826cf20
[task 2017-07-18T07:57:36.001911Z] 07:57:36     INFO -     rsp = 0x00007fff8826cf00   r12 = 0x00007fa39835dd20
[task 2017-07-18T07:57:36.002613Z] 07:57:36     INFO -     r13 = 0x00007fa3694670e0   r14 = 0x00007fa379c15138
[task 2017-07-18T07:57:36.003340Z] 07:57:36     INFO -     r15 = 0x00007fff8826d11f   rip = 0x00007fa3884d58fd
[task 2017-07-18T07:57:36.003957Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.004587Z] 07:57:36     INFO -  7  libxul.so!nsThread::Shutdown [nsThreadUtils.h:48a51e20addd : 323 + 0xd]
[task 2017-07-18T07:57:36.005292Z] 07:57:36     INFO -     rbx = 0x00007fa360661a60   rbp = 0x00007fff8826cf50
[task 2017-07-18T07:57:36.005943Z] 07:57:36     INFO -     rsp = 0x00007fff8826cf30   r12 = 0x00007fa39835dd20
[task 2017-07-18T07:57:36.006581Z] 07:57:36     INFO -     r13 = 0x00007fa3694670e0   r14 = 0x00007fa379c15138
[task 2017-07-18T07:57:36.007245Z] 07:57:36     INFO -     r15 = 0x00007fff8826d11f   rip = 0x00007fa3884d773d
[task 2017-07-18T07:57:36.007867Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.008654Z] 07:57:36     INFO -  8  libxul.so!nsThreadPool::Shutdown [nsThreadPool.cpp:48a51e20addd : 341 + 0x6]
[task 2017-07-18T07:57:36.009302Z] 07:57:36     INFO -     rbx = 0x0000000000000001   rbp = 0x00007fff8826cf90
[task 2017-07-18T07:57:36.009911Z] 07:57:36     INFO -     rsp = 0x00007fff8826cf60   r12 = 0x00007fff8826cf60
[task 2017-07-18T07:57:36.010660Z] 07:57:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007fa379c15138
[task 2017-07-18T07:57:36.011467Z] 07:57:36     INFO -     r15 = 0x00007fff8826d11f   rip = 0x00007fa3884cdacd
[task 2017-07-18T07:57:36.012099Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.012823Z] 07:57:36     INFO -  9  libxul.so!mozilla::detail::RunnableMethodImpl<nsCOMPtr<nsIThreadPool>, nsresult (nsIThreadPool::*)(), true, (mozilla::RunnableKind)0u>::Run [nsThreadUtils.h:48a51e20addd : 1138 + 0xa]
[task 2017-07-18T07:57:36.013651Z] 07:57:36     INFO -     rbx = 0x00007fa39835dd20   rbp = 0x00007fff8826cfa0
[task 2017-07-18T07:57:36.014342Z] 07:57:36     INFO -     rsp = 0x00007fff8826cfa0   r12 = 0x00007fff8826d2a0
[task 2017-07-18T07:57:36.015123Z] 07:57:36     INFO -     r13 = 0x00007fa37f1b8b68   r14 = 0x00007fa38c4d6440
[task 2017-07-18T07:57:36.015890Z] 07:57:36     INFO -     r15 = 0x00007fff8826d11f   rip = 0x00007fa3884bb972
[task 2017-07-18T07:57:36.016573Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.017275Z] 07:57:36     INFO - 10  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:48a51e20addd : 1437 + 0x6]
[task 2017-07-18T07:57:36.017836Z] 07:57:36     INFO -     rbx = 0x00007fa39835dd20   rbp = 0x00007fff8826d100
[task 2017-07-18T07:57:36.018481Z] 07:57:36     INFO -     rsp = 0x00007fff8826cfb0   r12 = 0x00007fff8826d2a0
[task 2017-07-18T07:57:36.019238Z] 07:57:36     INFO -     r13 = 0x00007fa37f1b8b68   r14 = 0x00007fa38c4d6440
[task 2017-07-18T07:57:36.019898Z] 07:57:36     INFO -     r15 = 0x00007fff8826d11f   rip = 0x00007fa3884d7d98
[task 2017-07-18T07:57:36.020585Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.021275Z] 07:57:36     INFO - 11  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:48a51e20addd : 489 + 0xd]
[task 2017-07-18T07:57:36.021947Z] 07:57:36     INFO -     rbx = 0x0000000000000001   rbp = 0x00007fff8826d130
[task 2017-07-18T07:57:36.022697Z] 07:57:36     INFO -     rsp = 0x00007fff8826d110   r12 = 0x00007fa39835dd20
[task 2017-07-18T07:57:36.023364Z] 07:57:36     INFO -     r13 = 0x00007fa369467760   r14 = 0x00007fa379c14e68
[task 2017-07-18T07:57:36.023967Z] 07:57:36     INFO -     r15 = 0x00007fff8826d32f   rip = 0x00007fa3884d58fd
[task 2017-07-18T07:57:36.024591Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.025282Z] 07:57:36     INFO - 12  libxul.so!nsThread::Shutdown [nsThreadUtils.h:48a51e20addd : 323 + 0xd]
[task 2017-07-18T07:57:36.025953Z] 07:57:36     INFO -     rbx = 0x00007fa36b7bb3c0   rbp = 0x00007fff8826d160
[task 2017-07-18T07:57:36.026561Z] 07:57:36     INFO -     rsp = 0x00007fff8826d140   r12 = 0x00007fa39835dd20
[task 2017-07-18T07:57:36.027258Z] 07:57:36     INFO -     r13 = 0x00007fa369467760   r14 = 0x00007fa379c14e68
[task 2017-07-18T07:57:36.027843Z] 07:57:36     INFO -     r15 = 0x00007fff8826d32f   rip = 0x00007fa3884d773d
[task 2017-07-18T07:57:36.028549Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.029192Z] 07:57:36     INFO - 13  libxul.so!nsThreadPool::Shutdown [nsThreadPool.cpp:48a51e20addd : 341 + 0x6]
[task 2017-07-18T07:57:36.029821Z] 07:57:36     INFO -     rbx = 0x0000000000000001   rbp = 0x00007fff8826d1a0
[task 2017-07-18T07:57:36.030460Z] 07:57:36     INFO -     rsp = 0x00007fff8826d170   r12 = 0x00007fff8826d170
[task 2017-07-18T07:57:36.031154Z] 07:57:36     INFO -     r13 = 0x0000000000000000   r14 = 0x00007fa379c14e68
[task 2017-07-18T07:57:36.031781Z] 07:57:36     INFO -     r15 = 0x00007fff8826d32f   rip = 0x00007fa3884cdacd
[task 2017-07-18T07:57:36.032393Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.033068Z] 07:57:36     INFO - 14  libxul.so!mozilla::detail::RunnableMethodImpl<nsCOMPtr<nsIThreadPool>, nsresult (nsIThreadPool::*)(), true, (mozilla::RunnableKind)0u>::Run [nsThreadUtils.h:48a51e20addd : 1138 + 0xa]
[task 2017-07-18T07:57:36.033785Z] 07:57:36     INFO -     rbx = 0x00007fa39835dd20   rbp = 0x00007fff8826d1b0
[task 2017-07-18T07:57:36.034406Z] 07:57:36     INFO -     rsp = 0x00007fff8826d1b0   r12 = 0x0000000000000000
[task 2017-07-18T07:57:36.035037Z] 07:57:36     INFO -     r13 = 0x00007fa37f1b8b68   r14 = 0x00007fa38c4d6440
[task 2017-07-18T07:57:36.035696Z] 07:57:36     INFO -     r15 = 0x00007fff8826d32f   rip = 0x00007fa3884bb972
[task 2017-07-18T07:57:36.036333Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.036973Z] 07:57:36     INFO - 15  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:48a51e20addd : 1437 + 0x6]
[task 2017-07-18T07:57:36.037612Z] 07:57:36     INFO -     rbx = 0x00007fa39835dd20   rbp = 0x00007fff8826d310
[task 2017-07-18T07:57:36.038262Z] 07:57:36     INFO -     rsp = 0x00007fff8826d1c0   r12 = 0x0000000000000000
[task 2017-07-18T07:57:36.038915Z] 07:57:36     INFO -     r13 = 0x00007fa37f1b8b68   r14 = 0x00007fa38c4d6440
[task 2017-07-18T07:57:36.039493Z] 07:57:36     INFO -     r15 = 0x00007fff8826d32f   rip = 0x00007fa3884d7d98
[task 2017-07-18T07:57:36.040105Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.040661Z] 07:57:36     INFO - 16  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:48a51e20addd : 489 + 0xd]
[task 2017-07-18T07:57:36.041256Z] 07:57:36     INFO -     rbx = 0x0000000000000000   rbp = 0x00007fff8826d340
[task 2017-07-18T07:57:36.041835Z] 07:57:36     INFO -     rsp = 0x00007fff8826d320   r12 = 0x00007fa39835db80
[task 2017-07-18T07:57:36.042414Z] 07:57:36     INFO -     r13 = 0x0000000000000001   r14 = 0x00007fa39835dd20
[task 2017-07-18T07:57:36.042958Z] 07:57:36     INFO -     r15 = 0x00007fa3983d0e20   rip = 0x00007fa3884d58fd
[task 2017-07-18T07:57:36.043770Z] 07:57:36     INFO -     Found by: call frame info
[task 2017-07-18T07:57:36.044362Z] 07:57:36     INFO - 17  libxul.so!mozilla::ipc::MessagePump::Run [MessagePump.cpp:48a51e20addd : 97 + 0xa]
[task 2017-07-18T07:57:36.044913Z] 07:57:36     INFO -     rbx = 0x00007fa3983d0e00   rbp = 0x00007fff8826d3a0
[task 2017-07-18T07:57:36.045521Z] 07:57:36     INFO -     rsp = 0x00007fff8826d350   r12 = 0x00007fa39835db80
[task 2017-07-18T07:57:36.046173Z] 07:57:36     INFO -     r13 = 0x0000000000000001   r14 = 0x00007fa39835dd20
[task 2017-07-18T07:57:36.046890Z] 07:57:36     INFO -     r15 = 0x00007fa3983d0e20   rip = 0x00007fa38891205a
[task 2017-07-18T07:57:36.047473Z] 07:57:36     INFO -     Found by: call frame info
Rank: 17
Priority: -- → P1
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382054&startday=2017-07-17&endday=2017-07-23&tree=all
This is a P1 bug without an assignee. 

P1 are bugs which are being worked on for the current release cycle/iteration/sprint. 

If the bug is not assigned by Monday, 28 August, the bug's priority will be reset to '--'.
Keywords: stale-bug
Mass change P1->P2 to align with new Mozilla triage process
Priority: P1 → P2
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.